import axios from 'axios';

const fetchAnnotationsData = (url) => {
	const splittedUrl = url.split('/').pop();
	const contentId = splittedUrl.length ? splittedUrl.split('?'): '';

	const config = {
		withCredentials: true
	};

	return axios
		.get(`${process.env.ANNOTATIONS_API}/me?article=${contentId[0]}`, config)
		.then((response) => {
			return response.data;
		});
};

export default fetchAnnotationsData;
